<?xml  version="1.0" ?>
<project name="varscan" default="jar" basedir=".">
    <!-- Directory structure -->
    <property name="build.dir" location="build"/>
    <property name="dist.dir" location="dist"/>
    <property name="src.dir" location="sf"/>
    <property name="lib.dir" location="/usr/share/java"/>
    <property name="class.dir" location="${build.dir}/classes"/>
    
    <property name="project.name" value="varscan"/>
    <property name="debug" value="true"/>
    <property name="optimized" value="true"/>
    <property name="project.version" value="2.3.6"/>
    <property environment="env"/>
    <property name="project.jarfile.name" value="varscan.jar"/>   
    
    <property name="class.path" value=""/>
                                
    <path id="compile.classpath">
            <fileset dir="${lib.dir}">
            </fileset>
            <fileset dir="${dist.dir}">
                <include name="*.jar"/>
            </fileset>
    </path>
    
    
    <target name="clean">
        <echo level="info">Cleaning build directories</echo>
        <delete verbose="true" includeEmptyDirs="true">
            <fileset dir="${build.dir}" includes="**"/>
            <fileset dir="${dist.dir}" includes="${project.name}*.jar"/>
        </delete>
    </target>
    
    <target name="compile">
        <mkdir dir="${class.dir}"/>
        <mkdir dir="${dist.dir}"/>
        <javac srcdir="${src.dir}" destdir="${class.dir}" classpathref="compile.classpath" debug="${debug}" optimize="${optimized}" nowarn="true" source="1.6" target="1.6">
        </javac>
    </target>

    <target name="jar" depends="compile">
        <jar destfile="${dist.dir}/${project.jarfile.name}" basedir="${class.dir}" >
         <manifest>
             <attribute name="Built-By" value="Debian-Med team"/>
             <attribute name="Main-Class" value="net.sf.varscan.VarScan"/>
             <attribute name="Class-Path" value="${class.path}"/>
             <attribute name="Specification-Title" value="varscan"/>
             <attribute name="Specification-Version" value="${project.version}"/>
          </manifest>
        </jar>
    </target>
    
</project>


